import QtQuick 2.15
import QtQuick.Window 2.15

Window {
    visible: true

    Rectangle {
        anchors.fill: parent
        color: "red"
        property url      content_path
        property QtObject _gui_controller

        ListModel{
            id: lsModel
            ListElement {
                elementName: "name1"
            }
        }

        GridView {
            id: grid
            anchors.fill: parent
            model: lsModel

            delegate: eltButtonGridLeaking
            //delegate: eltButtonGridNotLeaking
        }

        Component {
            id: eltButtonGridLeaking
            Item {
                id: itemRoot

                required property url elementName

                Text {
                    text: itemRoot.elementName
                }
            }
        }
        Component {
            id: eltButtonGridNotLeaking
            Text {
                text: elementName
            }
        }
    }
}
